# Remove when globs in setup.py work.
%{?python_disable_dependency_generator}

%global srcname     astroid

%global forgeurl https://github.com/PyCQA/astroid
Version:        2.15.2
%forgemeta

Name:           python-astroid
# Note: please check that this doesn't break pylint before committing and building! -GC
Release:        %autorelease
Summary:        Common base representation of python source code for pylint and other projects
License:        LGPL-2.1-or-later
URL:            https://pypi.org/project/astroid/
Source0:        %{forgesource}

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-setuptools_scm
BuildRequires:  python3-wheel
BuildRequires:  python3-pip
BuildRequires:  python3-lazy-object-proxy
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-six
BuildRequires:  python3-typed_ast >= 1.3.0
BuildRequires:  python3-wrapt
BuildRequires:  git-core

%global _description %{expand:
The aim of this module is to provide a common base representation of python
source code for projects such as pychecker, pyreverse, pylint...
It provides a compatible representation which comes from the _ast module. It
rebuilds the tree generated by the builtin _ast module by recursively walking
down the AST and building an extended ast. The new node classes have additional
methods and attributes for different usages. They include some support for
static inference and local name scopes. Furthermore, astroid builds partial
trees by inspecting living objects.}

%description %_description

%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}
Requires:  python3-lazy-object-proxy
Requires:  python3-wrapt
Requires:  python3-typed_ast
Requires:  python3-six

%description -n python3-%{srcname} %_description

%prep
%autosetup -n %{srcname}-%{version} -p0
sed -i /six/d astroid/__pkginfo__.py

%build
%pyproject_wheel

%install
%pyproject_install
rm -rf %{buildroot}%{python3_sitelib}/tests


%check
%{python3} -m pytest -v


%files -n python3-%{srcname}
%license LICENSE
%{python3_sitelib}/astroid
%{python3_sitelib}/astroid*.dist-info/

%changelog
%autochangelog
